Page MenuHomePhabricator

Extra square in 'In the news' section
Closed, ResolvedPublic

Description

On Feb 15, 2018 the German In the News story about Christoph_Ransmayr has an extra space at the beginning of the (HTML) text.

Local endpoint: http://localhost:6927/de.wikipedia.org/v1/page/news

This is because https://de.wikipedia.org/api/rest_v1/page/html/Vorlage:Hauptseite_Aktuelles/174045932 refers to a picture floating on the right. Here's a shortened version of the Parsoid HTML:

<li id="mwDg">
  <span style="float:right; padding-top:0.6em; padding-left:0.5em;">
    <figure-inline>
      <a href="./Datei:Porträt_Christoph_Ransmayr_Foto_Johannes_Cizek_14_5KB.jpg">
        <img src="//upload.wikimedia.org/wikipedia/commons/thumb/e/e2/Portr%C3%A4t_Christoph_Ransmayr_Foto_Johannes_Cizek_14_5KB.jpg/122px-Portr%C3%A4t_Christoph_Ransmayr_Foto_Johannes_Cizek_14_5KB.jpg" data-file-width="283" data-file-height="188" data-file-type="bitmap" height="81" width="122" />
      </a>
    </figure-inline>
  </span>
  Dem österreichischen Schriftsteller <a rel="mw:WikiLink" href="./Christoph_Ransmayr" title="Christoph Ransmayr" id="mwEw">Christoph Ransmayr</a><span typeof="mw:Entity" id="mwFA"> </span><small id="mwFQ">(Bild)</small> ist der <a rel="mw:WikiLink" href="./Kleist-Preis" title="Kleist-Preis" id="mwFg">Kleist-Preis</a> zuerkannt worden.
</li>

Just removing the <figure-inline> element is unfortunately not enough. The square would still show up.

Event Timeline

bearND created this task.Feb 15 2018, 5:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2018, 5:27 PM
bearND updated the task description. (Show Details)Feb 15 2018, 5:30 PM

Change 411036 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] News: remove floated content

https://gerrit.wikimedia.org/r/411036

Change 411036 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] News: remove floated content

https://gerrit.wikimedia.org/r/411036

After fix:

Mentioned in SAL (#wikimedia-operations) [2018-02-15T18:06:04Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@0bfafa9]: Update mobileapps to d219d1b (T187475)

Mentioned in SAL (#wikimedia-operations) [2018-02-15T18:11:58Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@0bfafa9]: Update mobileapps to d219d1b (T187475) (duration: 05m 54s)

bearND closed this task as Resolved.Feb 15 2018, 6:44 PM
bearND updated the task description. (Show Details)Feb 16 2018, 12:05 AM

Change 411174 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Hygiene: news: add unit test for removing floating span

https://gerrit.wikimedia.org/r/411174

Change 411174 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Hygiene: news: add unit test for removing floating span

https://gerrit.wikimedia.org/r/411174